# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(Moose.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(WebService/HMRC.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name WebService-HMRC-CreateTestUser
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Interact with the UK HMRC CreateTestUser API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NP/NPRATER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl module to interact with the UK's HMRC Making Tax Digital
`CreateTestUser` API, which is used to create imaginary individual,
organisation and agent users for testing with their sandbox endpoints.

For more information, see:
https://developer.service.hmrc.gov.uk/api-documentation/docs/api/service/api-platform-test-user/1.0

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.pod Changes
%perl_vendor_privlib/W*

%changelog
* Sun Nov 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

